package cn.com.usky.iot.entity;

import javax.persistence.*;
import java.sql.Date;
import java.sql.Timestamp;
import java.util.Objects;

@Entity
@Table(name = "ytiot_t_ef_analysis", schema = "ytIoT", catalog = "")
public class YtiotTEfAnalysis {
    private int id;
    private String companyCode;
    private String dataStatistics;
    private String dispersionRate;
    private String electricalAging;
    private String thermalAging;
    private String projectSituation;
    private String equipmentList;
    private String statisticalPeriod;
    private Timestamp creatTime;
    private String generationTime;

    @Basic
    @Column(name = "id")
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @Basic
    @Column(name = "company_code")
    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    @Basic
    @Column(name = "data_statistics")
    public String getDataStatistics() {
        return dataStatistics;
    }

    public void setDataStatistics(String dataStatistics) {
        this.dataStatistics = dataStatistics;
    }

    @Basic
    @Column(name = "dispersion_rate")
    public String getDispersionRate() {
        return dispersionRate;
    }

    public void setDispersionRate(String dispersionRate) {
        this.dispersionRate = dispersionRate;
    }

    @Basic
    @Column(name = "electrical_aging")
    public String getElectricalAging() {
        return electricalAging;
    }

    public void setElectricalAging(String electricalAging) {
        this.electricalAging = electricalAging;
    }

    @Basic
    @Column(name = "thermal_aging")
    public String getThermalAging() {
        return thermalAging;
    }

    public void setThermalAging(String thermalAging) {
        this.thermalAging = thermalAging;
    }

    @Basic
    @Column(name = "project_situation")
    public String getProjectSituation() {
        return projectSituation;
    }

    public void setProjectSituation(String projectSituation) {
        this.projectSituation = projectSituation;
    }

    @Basic
    @Column(name = "equipment_list")
    public String getEquipmentList() {
        return equipmentList;
    }

